	.include	defines.mac

	.xdef	_TXSHL
_TXSHL:
; TXSHL(int adrs,int bytes)
	move.l	4(sp),a0	; plane 0
	move.l	a0,a1
	add.l	#TPSIZE,a1	; plane 1
	
	move.l	8(sp),d1	; counter
	
	; byte shift-left
	add.l	d1,a0
	add.l	d1,a1
	
	subq.l	#1,d1		; -1 for dbra
l1:
	move.b	-(a0),d0
	add.b	d0,(a0)
	move.b	-(a1),d0
	add.b	d0,(a1)
	dbra	d1,l1
	rts
	.end
